### Class

# Hex WidgetMark

#### Description

    final class Hex.WidgetMark : GObject.Object
    {
      /* No available fields */
    }

`HexWidgetMark` is a `GObject` which contains the metadata associated with a mark for a hex document.

To instantiate a `HexWidgetMark` object, use the `hex_widget_add_mark()` method.

#### Ancestors

- GObject

#### Instance methods

###### hex_widget_mark_get_custom_color

Obtains the custom color associated with a `HexWidgetMark` object, if any.

since: 4.8

###### hex_widget_mark_get_end_offset

Obtains the end offset of a `HexWidgetMark`.

since: 4.8

###### hex_widget_mark_get_have_custom_color

Returns whether the `HexWidgetMark` has a custom color associated with it.

since: 4.8

###### hex_widget_mark_get_start_offset

Obtains the start offset of a `HexWidgetMark`.

since: 4.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Hex.WidgetMark:custom-color

The custom color of the `HexWidgetMark`, if applicable.

###### Hex.WidgetMark:have-custom-color

Whether the `HexWidgetMark` has a custom color.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct HexWidgetMarkClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.